# -*- Makefile -*-

#------------------------------------------------------------------
# Makefile template for generating Makefiles with Perl utility
# makemake.pl
#------------------------------------------------------------------

# Top Directory of CODAS installation:
top_dir  = MM_top_dir_MM

# Library directories. Index 1 and 2 are used for those binaries using
# original and GFI libraries.
lib_dir  = MM_lib_dir_MM
lib_dir1 = MM_lib_dir1_MM
lib_dir2 = MM_lib_dir2_MM

# Directory for installing the binary:
bin_dir  = MM_bin_dir_MM

# Additionnal include directories:
inc_dir  = MM_inc_dir_MM

# The target is determined from the content of the MMFile:
target   = MM_target_MM

# Definition below are those found in the MMFile for the specified
# keyword.
src      = MM_src_MM
obj      = MM_obj_MM
srcs     = MM_srcs_MM
objs     = MM_objs_MM
lib      = $(lib_dir)/MM_lib_MM
libs     = MM_libs_MM
bin      = $(bin_dir)/MM_bin_MM
bins     = MM_bins_MM

#------------------------------------------------------------------

include $(top_dir)/makefile.dep
include $(top_dir)/gfi/make/$(HOST)/makefile.dep

#------------------------------------------------------------------

all: $(target)

bin: $(bin)

lib: $(lib)

obj: $(obj)

lclint:
	$(LCLINT) $(DFLAGS) $(INCLUDES) $(LCLFLAGS) $(src) $(srcs)

#------------------------------------------------------------------

$(bin): $(objs) $(libs)
	$(CCLINK) -o $@ $(objs) $(libs) $(LDLIBS)
	$(CHMOD) $(BIN_PERMISSION) $@

$(lib): $(objs)
	$(AR)     $@ $(objs)
	$(RANLIB) $@
	$(CHMOD) $(LIB_PERMISSION)  $@

#------------------------------------------------------------------

MM_OBJ_DEP_MM



